L’accès à cette page nécessite une autorisation. Vous pouvez essayer de modifier des répertoires.
Server Keys - Get
Service:
SQL Database
Version d’API:
2025-01-01
Obtient une clé de serveur.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/keys/{keyName}?api-version=2025-01-01
Paramètres URI
Nom
Dans
Obligatoire
Type
Description
keyName
path
True
string
Nom de la clé de serveur à récupérer.
resourceGroupName
path
True
string
minLength: 1 maxLength: 90
Nom du groupe de ressources. Le nom ne respecte pas la casse.
serverName
path
True
string
Le nom du serveur
subscriptionId
path
True
string
(uuid)
ID de l’abonnement cible. La valeur doit être un UUID.
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/someVault_someKey_01234567890123456789012345678901?api-version=2025-01-01
/**
* Samples for ServerKeys Get.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/ServerKeyGet.json
*/
/**
* Sample code: Get the server key.
*
* @param manager Entry point to SqlServerManager.
*/
public static void getTheServerKey(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getServerKeys().getWithResponse("sqlcrudtest-7398", "sqlcrudtest-4645",
"someVault_someKey_01234567890123456789012345678901", com.azure.core.util.Context.NONE);
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python server_key_get.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.server_keys.get(
resource_group_name="sqlcrudtest-7398",
server_name="sqlcrudtest-4645",
key_name="someVault_someKey_01234567890123456789012345678901",
)
print(response)
# x-ms-original-file: 2025-01-01/ServerKeyGet.json
if __name__ == "__main__":
main()
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/ServerKeyGet.json
// this example is just showing the usage of "ServerKeys_Get" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SqlServerResource created on azure
// for more information of creating SqlServerResource, please refer to the document of SqlServerResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "sqlcrudtest-7398";
string serverName = "sqlcrudtest-4645";
ResourceIdentifier sqlServerResourceId = SqlServerResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName);
SqlServerResource sqlServer = client.GetSqlServerResource(sqlServerResourceId);
// get the collection of this SqlServerKeyResource
SqlServerKeyCollection collection = sqlServer.GetSqlServerKeys();
// invoke the operation
string keyName = "someVault_someKey_01234567890123456789012345678901";
NullableResponse<SqlServerKeyResource> response = await collection.GetIfExistsAsync(keyName);
SqlServerKeyResource result = response.HasValue ? response.Value : null;
if (result == null)
{
Console.WriteLine("Succeeded with null as result");
}
else
{
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
SqlServerKeyData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/someVault_someKey?api-version=2025-01-01
/**
* Samples for ServerKeys Get.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/ServerKeyGetWithVersionlessKey.json
*/
/**
* Sample code: Get the server key with versionless key.
*
* @param manager Entry point to SqlServerManager.
*/
public static void getTheServerKeyWithVersionlessKey(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getServerKeys().getWithResponse("sqlcrudtest-7398", "sqlcrudtest-4645",
"someVault_someKey", com.azure.core.util.Context.NONE);
}
}
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python server_key_get_with_versionless_key.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.server_keys.get(
resource_group_name="sqlcrudtest-7398",
server_name="sqlcrudtest-4645",
key_name="someVault_someKey",
)
print(response)
# x-ms-original-file: 2025-01-01/ServerKeyGetWithVersionlessKey.json
if __name__ == "__main__":
main()
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/ServerKeyGetWithVersionlessKey.json
// this example is just showing the usage of "ServerKeys_Get" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SqlServerResource created on azure
// for more information of creating SqlServerResource, please refer to the document of SqlServerResource
string subscriptionId = "00000000-1111-2222-3333-444444444444";
string resourceGroupName = "sqlcrudtest-7398";
string serverName = "sqlcrudtest-4645";
ResourceIdentifier sqlServerResourceId = SqlServerResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName);
SqlServerResource sqlServer = client.GetSqlServerResource(sqlServerResourceId);
// get the collection of this SqlServerKeyResource
SqlServerKeyCollection collection = sqlServer.GetSqlServerKeys();
// invoke the operation
string keyName = "someVault_someKey";
NullableResponse<SqlServerKeyResource> response = await collection.GetIfExistsAsync(keyName);
SqlServerKeyResource result = response.HasValue ? response.Value : null;
if (result == null)
{
Console.WriteLine("Succeeded with null as result");
}
else
{
// the variable result is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
SqlServerKeyData resourceData = result.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
ID de ressource complet pour la ressource. Par exemple, « /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} »
kind
string
Type de protecteur de chiffrement. Ce sont des métadonnées utilisées pour l’expérience du portail Azure.
location
string
Emplacement des ressources.
name
string
Nom de la ressource
properties.autoRotationEnabled
boolean
Indicateur d’opt-in de rotation automatique de clé. True ou false.
Type de clé de serveur comme « ServiceManaged », « AzureKeyVault ».
properties.subregion
string
Sous-région de la clé de serveur.
properties.thumbprint
string
Empreinte numérique de la clé de serveur.
properties.uri
string
URI de la clé de serveur. Si ServerKeyType est AzureKeyVault, l’URI est requis. L’URI AKV doit être au format suivant : 'https://YourVaultName.vault.azure.net/keys/YourKeyName/YourKeyVersion' ou peut être 'https://YourVaultName.vault.azure.net/keys/YourKeyName'